var plIsOpen = false;
var eqIsOpen = false;
var audioIsOpen = false;
var vidIsOpen = false;
var speed = 500;
var boolPlaying = true;


function ReInit()
{
   if(player.OpenState == osMediaOpen)
   {
      OnPlayStateChange();
      if(player.currentMedia.ImageSourceWidth > 0)
      {
         StartVideo();
      }
      else
      {
         EndVideo();
      }
   }
   else
   {
      EndVideo();
   }
}

function StartVideo()
{
   if(visIsOpen)
   {
      ToggleVisView();
   }
    vid.visible = true;
    visEffects.visible = false;
}

function EndVideo()
{
    visEffects.visible = true;
    vid.visible = false;
}

function OnOpenStateChange()
{
   switch (player.OpenState)
   {
   case osMediaOpen:
   case osPlaylistLoading:
      ReInit();
      break;
   }
}


function OnPlayStateChange()
{
	SetSourceImage();
   switch(player.PlayState)
   {
   case psStopped:   
	  boolPlaying = false;  
   case psPaused:
      //bgPlay.tabStop = true;
      bPause.upToolTip = "Play";
      bPause.visible = false;
      boolPlaying = false;
      break;
   case psPlaying:
      //bgPlay.tabStop = false;
      bPause.visible = true;
      bPause.upToolTip = "Pause";
      boolPlaying = true;
      break;
	// ControlTrain();
   }
}

function SetSourceImage() {
	if (boolPlaying) {
		var strSourceURL = player.currentMedia.sourceURL;

		if(strSourceURL.search(/cd:/i) != -1) {
			cd.image = "stat_cd_on.bmp";
			net.image = "stat_net_off.bmp";
			local.image = "stat_local_off.bmp";
		} else if (strSourceURL.search(/:\\/i) != -1){
			net.image = "stat_net_off.bmp";
			cd.image = "stat_cd_off.bmp";
			local.image = "stat_local_on.bmp";
		} else {
			net.image = "stat_net_on.bmp";
			cd.image = "stat_cd_off.bmp";
			local.image = "stat_local_off.bmp";			 
		}
	} else {
		cd.image = "stat_cd_off.bmp";
		net.image = "stat_net_off.bmp";
		local.image = "stat_local_off.bmp";
	}
}


function togglePlaylist() {
	if(plIsOpen) {
		pl.visible = false;
		vPl.moveto(156,171,speed);
		plHandle.upToolTip="Open Playlist";
	} else {
		vPl.moveto(156,298,speed);
		plHandle.upToolTip="Close Playlist";
	}
	plIsOpen = !plIsOpen;
}


function PlOnEndMove()
{
	pl.visible = plIsOpen;
}


function toggleEq() {
	if(eqIsOpen) {
		vEq.moveto(270,139,speed);
		eqHandle.upToolTip="Open Equalizer";	
	} else {
		vEq.moveto(377,139,speed);
		eqHandle.upToolTip="Close Equalizer";	
	}
	eqIsOpen = !eqIsOpen;
}


function toggleAudio() {
	if(audioIsOpen) {
		vAudio.moveto(270,74,speed);
		audioHandle.upToolTip="Open Audio Controls";	
	} else {
		vAudio.moveto(377,74,speed);
		audioHandle.upToolTip="Close Audio Controls";	
	}
	audioIsOpen = !audioIsOpen;
}


function togglePlVis(bool) {
	if(plIsOpen) {
		pl.visible = true;	
	}
}

// EQ tooltips are set dynamically, because otherwise they popup when the EQ is closed... bug?
eqToolTips = new Array("32 Hz","63 Hz","125 Hz","250 Hz","500 Hz","1 kHz","2 kHz","4 kHz","8 kHz","16 kHz");

function toggleEqView() {
	if(eqIsOpen) {
		vEq.moveto(169,98,speed);
		for(i=1; i<=10; i++) {
			eval("eq" + i + ".tooltip=''");
		}
	} else {
		vEq.moveto(0,98,speed);
		for(i=1; i<=10; i++) {
			eval("eq" + i + ".tooltip='" + eqToolTips[i-1] + "';");
		}
	}
	eqIsOpen = !eqIsOpen;
}

function toggleVidView() {
	if(vidIsOpen) {
		visEffects.visible = false;
		vVideo.moveTo(67,vVideo.top,speed);
	} else {
		vVideo.moveTo(294,vVideo.top,speed);
	}
	vidIsOpen = !vidIsOpen;	
}

function toggleVidVis() {
	if(vidIsOpen) {
		visEffects.visible = true;	
	}
}

function startVideo() {
	if(!vidIsOpen) {
		toggleVidView();
	}
	visEffects.visible = false;
	vid.visible = true;
}

function endVideo() {
	visEffects.visible = true;
	vid.visible = false;	
}

function resetEq() {
	eq.gainLevel1=0;
	eq.gainLevel2=0;
	eq.gainLevel3=0;
	eq.gainLevel4=0;
	eq.gainLevel5=0;
	eq.gainLevel6=0;
	eq.gainLevel7=0;
	eq.gainLevel8=0;
	eq.gainLevel9=0;
	eq.gainLevel10=0;
}